A wrapper for the implementations of PHPMDResultFormatter.

package | phing.tasks.ext.phpmd
author | Benjamin Schultz
version | $Id: 69fc758899446b96312ac12f26b461969eb41b6e $
since | 2.4.1

### Methods

## Get the output file.

    getOutfile() : \PhingFile

### Returns

`\PhingFile`

## Creates a report renderer instance based on the formatter type.

    getRenderer() : \PHP_PMD_AbstractRenderer

### Exceptions

`\BuildException` | When the specified renderer does not exist.

### Returns

`\PHP_PMD_AbstractRenderer`

## Get the formatter type

    getType() : string

### Returns

`string`

## Return whether to write formatter results to file or not.

    getUseFile() : boolean

### Returns

`boolean`

## Sets the output file for the formatter results.

    setOutfile(\PhingFile $outfile) : void

### Parameters

#### $outfile

`\PhingFile`

The output file

## Sets the formatter type.

    setType(string $type) : void

### Parameters

#### $type

`string`

Type of the formatter

## Set whether to write formatter results to file or not.

    setUseFile(boolean $useFile) : void

### Parameters

#### $useFile

`boolean`

True or false.

### Properties

##

    $formatter : \PHPMDResultFormatter

##

    $outfile : \PhingFile

##

    $type : string

##

    $useFile : boolean